Skip to main content
PUT
https://example.com
/
api
/
indexes
/
{indexId}
/
sources
/
{sourceId}
Update index source
curl --request PUT \
  --url https://example.com/api/indexes/{indexId}/sources/{sourceId} \
  --header 'Content-Type: application/json' \
  --cookie better-auth.session_token= \
  --data '
{
  "sourceType": "<unknown>",
  "streamName": "<string>"
}
'
{
  "enabled": true,
  "endpoint": "<string>",
  "hasUnsupportedConfig": true,
  "inputFormat": "<string>",
  "messageType": "<string>",
  "numPipelines": 123,
  "queueUrl": "<string>",
  "region": "<string>",
  "sourceId": "<string>",
  "sourceType": "<string>",
  "streamName": "<string>",
  "vrlScript": "<string>"
}

Authorizations

better-auth.session_token
string
cookie
required

Path Parameters

indexId
string
required
Minimum string length: 1
sourceId
string
required
Minimum string length: 1

Body

application/json
sourceType
any
required
streamName
string
required
Minimum string length: 1
endpoint
string
Minimum string length: 1
inputFormat
enum<string>
Available options:
json,
plain_text,
otlp_logs_json,
otlp_logs_protobuf,
otlp_traces_json,
otlp_traces_protobuf
numPipelines
integer
Required range: x >= 1
region
string
Minimum string length: 1
vrlScript
string

Response

Successful response

enabled
boolean
required
endpoint
string | null
required
hasUnsupportedConfig
boolean
required
inputFormat
string | null
required
messageType
string | null
required
numPipelines
number | null
required
queueUrl
string | null
required
region
string | null
required
sourceId
string
required
sourceType
string
required
streamName
string | null
required
vrlScript
string | null
required